import { PublicApiDepartureBoardGroup } from "../../domain/PublicApiDepartureInterfaces";
export declare class DepartureGroupRefiner {
    static filterDeparturesByRouteShortNames(departureGroup: PublicApiDepartureBoardGroup, routeShortNames: string[] | null): PublicApiDepartureBoardGroup;
    static sortDeparturesByPredictedTimestamp(departureGroup: PublicApiDepartureBoardGroup): PublicApiDepartureBoardGroup;
    static removeDeparturesOutsideTimeRange(departureGroup: PublicApiDepartureBoardGroup, minutesBefore: number, minutesAfter: number): PublicApiDepartureBoardGroup;
}
